ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/deliantra/server/plugins/cfanim/Makefile.in
(Generate patch)

Comparing deliantra/server/plugins/cfanim/Makefile.in (file contents):
Revision 1.3 by elmex, Wed Mar 15 15:35:51 2006 UTC vs.
Revision 1.5 by root, Sun May 7 12:49:25 2006 UTC

1# Makefile.in generated by automake 1.9.6 from Makefile.am. 1# Makefile.in generated by automake 1.7.9 from Makefile.am.
2# @configure_input@ 2# @configure_input@
3 3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# 2003, 2004, 2005 Free Software Foundation, Inc. 5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation 6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it, 7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved. 8# with or without modifications, as long as this notice is preserved.
9 9
10# This program is distributed in the hope that it will be useful, 10# This program is distributed in the hope that it will be useful,
44VPATH = @srcdir@ 44VPATH = @srcdir@
45pkgdatadir = $(datadir)/@PACKAGE@ 45pkgdatadir = $(datadir)/@PACKAGE@
46pkglibdir = $(libdir)/@PACKAGE@ 46pkglibdir = $(libdir)/@PACKAGE@
47pkgincludedir = $(includedir)/@PACKAGE@ 47pkgincludedir = $(includedir)/@PACKAGE@
48top_builddir = ../.. 48top_builddir = ../..
49
49am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd 50am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
50INSTALL = @INSTALL@ 51INSTALL = @INSTALL@
51install_sh_DATA = $(install_sh) -c -m 644 52install_sh_DATA = $(install_sh) -c -m 644
52install_sh_PROGRAM = $(install_sh) -c 53install_sh_PROGRAM = $(install_sh) -c
53install_sh_SCRIPT = $(install_sh) -c 54install_sh_SCRIPT = $(install_sh) -c
57PRE_INSTALL = : 58PRE_INSTALL = :
58POST_INSTALL = : 59POST_INSTALL = :
59NORMAL_UNINSTALL = : 60NORMAL_UNINSTALL = :
60PRE_UNINSTALL = : 61PRE_UNINSTALL = :
61POST_UNINSTALL = : 62POST_UNINSTALL = :
62build_triplet = @build@
63host_triplet = @host@ 63host_triplet = @host@
64subdir = plugins/cfanim
65DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
66ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
67am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
68 $(top_srcdir)/configure.ac
69am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70 $(ACLOCAL_M4)
71mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
72CONFIG_HEADER = $(top_builddir)/include/autoconf.h
73CONFIG_CLEAN_FILES =
74am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
75am__vpath_adj = case $$p in \
76 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
77 *) f=$$p;; \
78 esac;
79am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
80am__installdirs = "$(DESTDIR)$(plugindir)"
81pluginLTLIBRARIES_INSTALL = $(INSTALL)
82LTLIBRARIES = $(plugin_LTLIBRARIES)
83cfanim_la_DEPENDENCIES =
84am_cfanim_la_OBJECTS = cfanim.lo plugin_common.lo
85cfanim_la_OBJECTS = $(am_cfanim_la_OBJECTS)
86DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
87depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
88am__depfiles_maybe = depfiles
89COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
90 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
91LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
92 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
93 $(AM_CFLAGS) $(CFLAGS)
94CCLD = $(CC)
95LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
96 $(AM_LDFLAGS) $(LDFLAGS) -o $@
97SOURCES = $(cfanim_la_SOURCES)
98DIST_SOURCES = $(cfanim_la_SOURCES)
99RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
100 html-recursive info-recursive install-data-recursive \
101 install-exec-recursive install-info-recursive \
102 install-recursive installcheck-recursive installdirs-recursive \
103 pdf-recursive ps-recursive uninstall-info-recursive \
104 uninstall-recursive
105ETAGS = etags
106CTAGS = ctags
107DIST_SUBDIRS = $(SUBDIRS)
108DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
109ACLOCAL = @ACLOCAL@ 64ACLOCAL = @ACLOCAL@
110AMDEP_FALSE = @AMDEP_FALSE@ 65AMDEP_FALSE = @AMDEP_FALSE@
111AMDEP_TRUE = @AMDEP_TRUE@ 66AMDEP_TRUE = @AMDEP_TRUE@
112AMTAR = @AMTAR@ 67AMTAR = @AMTAR@
113AR = @AR@ 68AR = @AR@
122CCDEPMODE = @CCDEPMODE@ 77CCDEPMODE = @CCDEPMODE@
123CFLAGS = @CFLAGS@ 78CFLAGS = @CFLAGS@
124COMPRESS = @COMPRESS@ 79COMPRESS = @COMPRESS@
125CPP = @CPP@ 80CPP = @CPP@
126CPPFLAGS = @CPPFLAGS@ 81CPPFLAGS = @CPPFLAGS@
127CXX = @CXX@ 82CROSSEDIT = @CROSSEDIT@
128CXXCPP = @CXXCPP@
129CXXDEPMODE = @CXXDEPMODE@
130CXXFLAGS = @CXXFLAGS@
131CYGPATH_W = @CYGPATH_W@ 83CYGPATH_W = @CYGPATH_W@
132DEFS = @DEFS@ 84DEFS = @DEFS@
133DEPDIR = @DEPDIR@ 85DEPDIR = @DEPDIR@
134ECHO = @ECHO@ 86ECHO = @ECHO@
135ECHO_C = @ECHO_C@ 87ECHO_C = @ECHO_C@
136ECHO_N = @ECHO_N@ 88ECHO_N = @ECHO_N@
137ECHO_T = @ECHO_T@ 89ECHO_T = @ECHO_T@
138EGREP = @EGREP@ 90EGREP = @EGREP@
139EXEEXT = @EXEEXT@ 91EXEEXT = @EXEEXT@
140F77 = @F77@
141FFLAGS = @FFLAGS@
142GUNZIP = @GUNZIP@ 92GUNZIP = @GUNZIP@
143GZIP = @GZIP@ 93GZIP = @GZIP@
144HAVE_LIBDL_FALSE = @HAVE_LIBDL_FALSE@ 94HAVE_LIBDL_FALSE = @HAVE_LIBDL_FALSE@
145HAVE_LIBDL_TRUE = @HAVE_LIBDL_TRUE@ 95HAVE_LIBDL_TRUE = @HAVE_LIBDL_TRUE@
146HAVE_X_FALSE = @HAVE_X_FALSE@ 96HAVE_X_FALSE = @HAVE_X_FALSE@
148INSTALL_DATA = @INSTALL_DATA@ 98INSTALL_DATA = @INSTALL_DATA@
149INSTALL_PROGRAM = @INSTALL_PROGRAM@ 99INSTALL_PROGRAM = @INSTALL_PROGRAM@
150INSTALL_SCRIPT = @INSTALL_SCRIPT@ 100INSTALL_SCRIPT = @INSTALL_SCRIPT@
151INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ 101INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
152LATEX = @LATEX@ 102LATEX = @LATEX@
103LD = @LD@
153LDFLAGS = @LDFLAGS@ 104LDFLAGS = @LDFLAGS@
154LEX = @LEX@ 105LEX = @LEX@
155LEXLIB = @LEXLIB@ 106LEXLIB = @LEXLIB@
156LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@ 107LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
157LIBOBJS = @LIBOBJS@ 108LIBOBJS = @LIBOBJS@
161LTLIBOBJS = @LTLIBOBJS@ 112LTLIBOBJS = @LTLIBOBJS@
162MAINT = @MAINT@ 113MAINT = @MAINT@
163MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@ 114MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
164MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@ 115MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
165MAKEINFO = @MAKEINFO@ 116MAKEINFO = @MAKEINFO@
117NM = @NM@
166OBJEXT = @OBJEXT@ 118OBJEXT = @OBJEXT@
167PACKAGE = @PACKAGE@ 119PACKAGE = @PACKAGE@
168PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ 120PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
169PACKAGE_NAME = @PACKAGE_NAME@ 121PACKAGE_NAME = @PACKAGE_NAME@
170PACKAGE_STRING = @PACKAGE_STRING@ 122PACKAGE_STRING = @PACKAGE_STRING@
183PYTHON_PLUGIN_FALSE = @PYTHON_PLUGIN_FALSE@ 135PYTHON_PLUGIN_FALSE = @PYTHON_PLUGIN_FALSE@
184PYTHON_PLUGIN_TRUE = @PYTHON_PLUGIN_TRUE@ 136PYTHON_PLUGIN_TRUE = @PYTHON_PLUGIN_TRUE@
185PY_INCLUDES = @PY_INCLUDES@ 137PY_INCLUDES = @PY_INCLUDES@
186PY_LIBS = @PY_LIBS@ 138PY_LIBS = @PY_LIBS@
187RANLIB = @RANLIB@ 139RANLIB = @RANLIB@
140SED = @SED@
188SET_MAKE = @SET_MAKE@ 141SET_MAKE = @SET_MAKE@
189SHELL = @SHELL@ 142SHELL = @SHELL@
190STRIP = @STRIP@ 143STRIP = @STRIP@
191TAR = @TAR@ 144TAR = @TAR@
192UNCOMPRESS = @UNCOMPRESS@ 145UNCOMPRESS = @UNCOMPRESS@
196X_EXTRA_LIBS = @X_EXTRA_LIBS@ 149X_EXTRA_LIBS = @X_EXTRA_LIBS@
197X_LIBS = @X_LIBS@ 150X_LIBS = @X_LIBS@
198X_PRE_LIBS = @X_PRE_LIBS@ 151X_PRE_LIBS = @X_PRE_LIBS@
199ac_ct_AR = @ac_ct_AR@ 152ac_ct_AR = @ac_ct_AR@
200ac_ct_CC = @ac_ct_CC@ 153ac_ct_CC = @ac_ct_CC@
201ac_ct_CXX = @ac_ct_CXX@
202ac_ct_F77 = @ac_ct_F77@
203ac_ct_RANLIB = @ac_ct_RANLIB@ 154ac_ct_RANLIB = @ac_ct_RANLIB@
204ac_ct_STRIP = @ac_ct_STRIP@ 155ac_ct_STRIP = @ac_ct_STRIP@
205am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ 156am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
206am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ 157am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
207am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
208am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
209am__include = @am__include@ 158am__include = @am__include@
210am__leading_dot = @am__leading_dot@ 159am__leading_dot = @am__leading_dot@
211am__quote = @am__quote@ 160am__quote = @am__quote@
212am__tar = @am__tar@
213am__untar = @am__untar@
214bindir = @bindir@ 161bindir = @bindir@
215build = @build@ 162build = @build@
216build_alias = @build_alias@ 163build_alias = @build_alias@
217build_cpu = @build_cpu@ 164build_cpu = @build_cpu@
218build_os = @build_os@ 165build_os = @build_os@
229install_sh = @install_sh@ 176install_sh = @install_sh@
230libdir = @libdir@ 177libdir = @libdir@
231libexecdir = @libexecdir@ 178libexecdir = @libexecdir@
232localstatedir = @localstatedir@ 179localstatedir = @localstatedir@
233mandir = @mandir@ 180mandir = @mandir@
234mkdir_p = @mkdir_p@
235no_x = @no_x@ 181no_x = @no_x@
236oldincludedir = @oldincludedir@ 182oldincludedir = @oldincludedir@
237pkgconfdir = @pkgconfdir@ 183pkgconfdir = @pkgconfdir@
238pkgstatedir = @pkgstatedir@ 184pkgstatedir = @pkgstatedir@
239prefix = @prefix@ 185prefix = @prefix@
242sharedstatedir = @sharedstatedir@ 188sharedstatedir = @sharedstatedir@
243sysconfdir = @sysconfdir@ 189sysconfdir = @sysconfdir@
244target_alias = @target_alias@ 190target_alias = @target_alias@
245x_includes = @x_includes@ 191x_includes = @x_includes@
246x_libraries = @x_libraries@ 192x_libraries = @x_libraries@
193
247plugindir = $(pkglibdir)/plugins 194plugindir = $(pkglibdir)/plugins
248plugin_LTLIBRARIES = cfanim.la 195plugin_LTLIBRARIES = cfanim.la
249cfanim_la_SOURCES = cfanim.c\ 196cfanim_la_SOURCES = cfanim.c\
250 ../common/plugin_common.c 197 ../common/plugin_common.c
251 198
199
252SUBDIRS = include 200SUBDIRS = include
201
253cfanim_la_LIBADD = 202cfanim_la_LIBADD =
254cfanim_la_LDFLAGS = -module -avoid-version -Xlinker -export-dynamic -rdynamic -Xlinker -Bsymbolic 203cfanim_la_LDFLAGS = -module -avoid-version -Xlinker -export-dynamic -rdynamic -Xlinker -Bsymbolic
255AM_CPPFLAGS = -I$(srcdir)/include -I$(srcdir)/../common/include -I$(top_srcdir)/include 204AM_CPPFLAGS = -I$(srcdir)/include -I$(srcdir)/../common/include -I$(top_srcdir)/include
205subdir = plugins/cfanim
206ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
207mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
208CONFIG_HEADER = $(top_builddir)/include/autoconf.h
209CONFIG_CLEAN_FILES =
210LTLIBRARIES = $(plugin_LTLIBRARIES)
211
212cfanim_la_DEPENDENCIES =
213am_cfanim_la_OBJECTS = cfanim.lo plugin_common.lo
214cfanim_la_OBJECTS = $(am_cfanim_la_OBJECTS)
215
216DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
217depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
218am__depfiles_maybe = depfiles
219@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/cfanim.Plo \
220@AMDEP_TRUE@ ./$(DEPDIR)/plugin_common.Plo
221COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
222 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
223LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
224 $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
225CCLD = $(CC)
226LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227 $(AM_LDFLAGS) $(LDFLAGS) -o $@
228DIST_SOURCES = $(cfanim_la_SOURCES)
229
230RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
231 ps-recursive install-info-recursive uninstall-info-recursive \
232 all-recursive install-data-recursive install-exec-recursive \
233 installdirs-recursive install-recursive uninstall-recursive \
234 check-recursive installcheck-recursive
235DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
236DIST_SUBDIRS = $(SUBDIRS)
237SOURCES = $(cfanim_la_SOURCES)
238
256all: all-recursive 239all: all-recursive
257 240
258.SUFFIXES: 241.SUFFIXES:
259.SUFFIXES: .c .lo .o .obj 242.SUFFIXES: .c .lo .o .obj
260$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps) 243$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
261 @for dep in $?; do \
262 case '$(am__configure_deps)' in \
263 *$$dep*) \
264 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
265 && exit 0; \
266 exit 1;; \
267 esac; \
268 done; \
269 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu plugins/cfanim/Makefile'; \
270 cd $(top_srcdir) && \ 244 cd $(top_srcdir) && \
271 $(AUTOMAKE) --gnu plugins/cfanim/Makefile 245 $(AUTOMAKE) --gnu plugins/cfanim/Makefile
272.PRECIOUS: Makefile
273Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status 246Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
274 @case '$?' in \
275 *config.status*) \
276 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
277 *) \
278 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
279 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ 247 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
280 esac; 248pluginLTLIBRARIES_INSTALL = $(INSTALL)
281
282$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
283 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
284
285$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
286 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
287$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
288 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
289install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES) 249install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES)
290 @$(NORMAL_INSTALL) 250 @$(NORMAL_INSTALL)
291 test -z "$(plugindir)" || $(mkdir_p) "$(DESTDIR)$(plugindir)" 251 $(mkinstalldirs) $(DESTDIR)$(plugindir)
292 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 252 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
293 if test -f $$p; then \ 253 if test -f $$p; then \
294 f=$(am__strip_dir) \ 254 f="`echo $$p | sed -e 's|^.*/||'`"; \
295 echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(plugindir)/$$f'"; \ 255 echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(plugindir)/$$f"; \
296 $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(plugindir)/$$f"; \ 256 $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(plugindir)/$$f; \
297 else :; fi; \ 257 else :; fi; \
298 done 258 done
299 259
300uninstall-pluginLTLIBRARIES: 260uninstall-pluginLTLIBRARIES:
301 @$(NORMAL_UNINSTALL) 261 @$(NORMAL_UNINSTALL)
302 @set -x; list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 262 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
303 p=$(am__strip_dir) \ 263 p="`echo $$p | sed -e 's|^.*/||'`"; \
304 echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$p'"; \ 264 echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(plugindir)/$$p"; \
305 $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$p"; \ 265 $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(plugindir)/$$p; \
306 done 266 done
307 267
308clean-pluginLTLIBRARIES: 268clean-pluginLTLIBRARIES:
309 -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES) 269 -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
310 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 270 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
311 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \ 271 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
312 test "$$dir" != "$$p" || dir=.; \ 272 test "$$dir" = "$$p" && dir=.; \
313 echo "rm -f \"$${dir}/so_locations\""; \ 273 echo "rm -f \"$${dir}/so_locations\""; \
314 rm -f "$${dir}/so_locations"; \ 274 rm -f "$${dir}/so_locations"; \
315 done 275 done
316cfanim.la: $(cfanim_la_OBJECTS) $(cfanim_la_DEPENDENCIES) 276cfanim.la: $(cfanim_la_OBJECTS) $(cfanim_la_DEPENDENCIES)
317 $(LINK) -rpath $(plugindir) $(cfanim_la_LDFLAGS) $(cfanim_la_OBJECTS) $(cfanim_la_LIBADD) $(LIBS) 277 $(LINK) -rpath $(plugindir) $(cfanim_la_LDFLAGS) $(cfanim_la_OBJECTS) $(cfanim_la_LIBADD) $(LIBS)
318 278
319mostlyclean-compile: 279mostlyclean-compile:
320 -rm -f *.$(OBJEXT) 280 -rm -f *.$(OBJEXT) core *.core
321 281
322distclean-compile: 282distclean-compile:
323 -rm -f *.tab.c 283 -rm -f *.tab.c
324 284
325@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfanim.Plo@am__quote@ 285@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfanim.Plo@am__quote@
326@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin_common.Plo@am__quote@ 286@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin_common.Plo@am__quote@
327 287
328.c.o: 288.c.o:
329@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \ 289@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
290@am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
330@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 291@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
292@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
293@am__fastdepCC_TRUE@ fi
331@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ 294@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
295@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
332@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 296@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
333@am__fastdepCC_FALSE@ $(COMPILE) -c $< 297@am__fastdepCC_FALSE@ $(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
334 298
335.c.obj: 299.c.obj:
336@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \ 300@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
301@am__fastdepCC_TRUE@ -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
337@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 302@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
303@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
304@am__fastdepCC_TRUE@ fi
338@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ 305@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
306@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
339@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 307@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
340@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'` 308@am__fastdepCC_FALSE@ $(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
341 309
342.c.lo: 310.c.lo:
343@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \ 311@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
312@am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
344@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 313@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
314@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
315@am__fastdepCC_TRUE@ fi
345@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ 316@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
317@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
346@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 318@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
347@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $< 319@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
320
321plugin_common.o: ../common/plugin_common.c
322@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.o -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
323@am__fastdepCC_TRUE@ -c -o plugin_common.o `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \
324@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Po"; \
325@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
326@am__fastdepCC_TRUE@ fi
327@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.o' libtool=no @AMDEPBACKSLASH@
328@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Po' tmpdepfile='$(DEPDIR)/plugin_common.TPo' @AMDEPBACKSLASH@
329@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
330@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.o `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c
331
332plugin_common.obj: ../common/plugin_common.c
333@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.obj -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
334@am__fastdepCC_TRUE@ -c -o plugin_common.obj `if test -f '../common/plugin_common.c'; then $(CYGPATH_W) '../common/plugin_common.c'; else $(CYGPATH_W) '$(srcdir)/../common/plugin_common.c'; fi`; \
335@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Po"; \
336@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
337@am__fastdepCC_TRUE@ fi
338@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.obj' libtool=no @AMDEPBACKSLASH@
339@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Po' tmpdepfile='$(DEPDIR)/plugin_common.TPo' @AMDEPBACKSLASH@
340@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
341@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.obj `if test -f '../common/plugin_common.c'; then $(CYGPATH_W) '../common/plugin_common.c'; else $(CYGPATH_W) '$(srcdir)/../common/plugin_common.c'; fi`
348 342
349plugin_common.lo: ../common/plugin_common.c 343plugin_common.lo: ../common/plugin_common.c
350@am__fastdepCC_TRUE@ if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.lo -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \ 344@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.lo -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
345@am__fastdepCC_TRUE@ -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \
351@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Plo"; else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; fi 346@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Plo"; \
347@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
348@am__fastdepCC_TRUE@ fi
352@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.lo' libtool=yes @AMDEPBACKSLASH@ 349@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.lo' libtool=yes @AMDEPBACKSLASH@
350@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Plo' tmpdepfile='$(DEPDIR)/plugin_common.TPlo' @AMDEPBACKSLASH@
353@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 351@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
354@am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c 352@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c
355 353
356mostlyclean-libtool: 354mostlyclean-libtool:
357 -rm -f *.lo 355 -rm -f *.lo
358 356
359clean-libtool: 357clean-libtool:
368# To change the values of `make' variables: instead of editing Makefiles, 366# To change the values of `make' variables: instead of editing Makefiles,
369# (1) if the variable is set in `config.status', edit `config.status' 367# (1) if the variable is set in `config.status', edit `config.status'
370# (which will cause the Makefiles to be regenerated when you run `make'); 368# (which will cause the Makefiles to be regenerated when you run `make');
371# (2) otherwise, pass the desired values on the `make' command line. 369# (2) otherwise, pass the desired values on the `make' command line.
372$(RECURSIVE_TARGETS): 370$(RECURSIVE_TARGETS):
373 @failcom='exit 1'; \ 371 @set fnord $$MAKEFLAGS; amf=$$2; \
374 for f in x $$MAKEFLAGS; do \
375 case $$f in \
376 *=* | --[!k]*);; \
377 *k*) failcom='fail=yes';; \
378 esac; \
379 done; \
380 dot_seen=no; \ 372 dot_seen=no; \
381 target=`echo $@ | sed s/-recursive//`; \ 373 target=`echo $@ | sed s/-recursive//`; \
382 list='$(SUBDIRS)'; for subdir in $$list; do \ 374 list='$(SUBDIRS)'; for subdir in $$list; do \
383 echo "Making $$target in $$subdir"; \ 375 echo "Making $$target in $$subdir"; \
384 if test "$$subdir" = "."; then \ 376 if test "$$subdir" = "."; then \
386 local_target="$$target-am"; \ 378 local_target="$$target-am"; \
387 else \ 379 else \
388 local_target="$$target"; \ 380 local_target="$$target"; \
389 fi; \ 381 fi; \
390 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 382 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
391 || eval $$failcom; \ 383 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
392 done; \ 384 done; \
393 if test "$$dot_seen" = "no"; then \ 385 if test "$$dot_seen" = "no"; then \
394 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ 386 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
395 fi; test -z "$$fail" 387 fi; test -z "$$fail"
396 388
397mostlyclean-recursive clean-recursive distclean-recursive \ 389mostlyclean-recursive clean-recursive distclean-recursive \
398maintainer-clean-recursive: 390maintainer-clean-recursive:
399 @failcom='exit 1'; \ 391 @set fnord $$MAKEFLAGS; amf=$$2; \
400 for f in x $$MAKEFLAGS; do \
401 case $$f in \
402 *=* | --[!k]*);; \
403 *k*) failcom='fail=yes';; \
404 esac; \
405 done; \
406 dot_seen=no; \ 392 dot_seen=no; \
407 case "$@" in \ 393 case "$@" in \
408 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ 394 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
409 *) list='$(SUBDIRS)' ;; \ 395 *) list='$(SUBDIRS)' ;; \
410 esac; \ 396 esac; \
421 local_target="$$target-am"; \ 407 local_target="$$target-am"; \
422 else \ 408 else \
423 local_target="$$target"; \ 409 local_target="$$target"; \
424 fi; \ 410 fi; \
425 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 411 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
426 || eval $$failcom; \ 412 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
427 done && test -z "$$fail" 413 done && test -z "$$fail"
428tags-recursive: 414tags-recursive:
429 list='$(SUBDIRS)'; for subdir in $$list; do \ 415 list='$(SUBDIRS)'; for subdir in $$list; do \
430 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ 416 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
431 done 417 done
432ctags-recursive: 418ctags-recursive:
433 list='$(SUBDIRS)'; for subdir in $$list; do \ 419 list='$(SUBDIRS)'; for subdir in $$list; do \
434 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ 420 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
435 done 421 done
436 422
423ETAGS = etags
424ETAGSFLAGS =
425
426CTAGS = ctags
427CTAGSFLAGS =
428
429tags: TAGS
430
437ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) 431ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
438 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 432 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
439 unique=`for i in $$list; do \ 433 unique=`for i in $$list; do \
440 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 434 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
441 done | \ 435 done | \
442 $(AWK) ' { files[$$0] = 1; } \ 436 $(AWK) ' { files[$$0] = 1; } \
443 END { for (i in files) print i; }'`; \ 437 END { for (i in files) print i; }'`; \
444 mkid -fID $$unique 438 mkid -fID $$unique
445tags: TAGS
446 439
447TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 440TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
448 $(TAGS_FILES) $(LISP) 441 $(TAGS_FILES) $(LISP)
449 tags=; \ 442 tags=; \
450 here=`pwd`; \ 443 here=`pwd`; \
451 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ 444 if (etags --etags-include --version) >/dev/null 2>&1; then \
452 include_option=--etags-include; \ 445 include_option=--etags-include; \
453 empty_fix=.; \
454 else \ 446 else \
455 include_option=--include; \ 447 include_option=--include; \
456 empty_fix=; \
457 fi; \ 448 fi; \
458 list='$(SUBDIRS)'; for subdir in $$list; do \ 449 list='$(SUBDIRS)'; for subdir in $$list; do \
459 if test "$$subdir" = .; then :; else \ 450 if test "$$subdir" = .; then :; else \
460 test ! -f $$subdir/TAGS || \ 451 test -f $$subdir/TAGS && \
461 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \ 452 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
462 fi; \ 453 fi; \
463 done; \ 454 done; \
464 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 455 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
465 unique=`for i in $$list; do \ 456 unique=`for i in $$list; do \
466 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 457 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
467 done | \ 458 done | \
468 $(AWK) ' { files[$$0] = 1; } \ 459 $(AWK) ' { files[$$0] = 1; } \
469 END { for (i in files) print i; }'`; \ 460 END { for (i in files) print i; }'`; \
470 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ 461 test -z "$(ETAGS_ARGS)$$tags$$unique" \
471 test -n "$$unique" || unique=$$empty_fix; \
472 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ 462 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
473 $$tags $$unique; \ 463 $$tags $$unique
474 fi 464
475ctags: CTAGS 465ctags: CTAGS
476CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 466CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
477 $(TAGS_FILES) $(LISP) 467 $(TAGS_FILES) $(LISP)
478 tags=; \ 468 tags=; \
479 here=`pwd`; \ 469 here=`pwd`; \
492 && cd $(top_srcdir) \ 482 && cd $(top_srcdir) \
493 && gtags -i $(GTAGS_ARGS) $$here 483 && gtags -i $(GTAGS_ARGS) $$here
494 484
495distclean-tags: 485distclean-tags:
496 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags 486 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
487DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
488
489top_distdir = ../..
490distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
497 491
498distdir: $(DISTFILES) 492distdir: $(DISTFILES)
499 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \ 493 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
500 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \ 494 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
501 list='$(DISTFILES)'; for file in $$list; do \ 495 list='$(DISTFILES)'; for file in $$list; do \
505 esac; \ 499 esac; \
506 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ 500 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
507 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \ 501 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
508 if test "$$dir" != "$$file" && test "$$dir" != "."; then \ 502 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
509 dir="/$$dir"; \ 503 dir="/$$dir"; \
510 $(mkdir_p) "$(distdir)$$dir"; \ 504 $(mkinstalldirs) "$(distdir)$$dir"; \
511 else \ 505 else \
512 dir=''; \ 506 dir=''; \
513 fi; \ 507 fi; \
514 if test -d $$d/$$file; then \ 508 if test -d $$d/$$file; then \
515 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ 509 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
520 test -f $(distdir)/$$file \ 514 test -f $(distdir)/$$file \
521 || cp -p $$d/$$file $(distdir)/$$file \ 515 || cp -p $$d/$$file $(distdir)/$$file \
522 || exit 1; \ 516 || exit 1; \
523 fi; \ 517 fi; \
524 done 518 done
525 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ 519 list='$(SUBDIRS)'; for subdir in $$list; do \
526 if test "$$subdir" = .; then :; else \ 520 if test "$$subdir" = .; then :; else \
527 test -d "$(distdir)/$$subdir" \ 521 test -d $(distdir)/$$subdir \
528 || $(mkdir_p) "$(distdir)/$$subdir" \ 522 || mkdir $(distdir)/$$subdir \
529 || exit 1; \ 523 || exit 1; \
530 distdir=`$(am__cd) $(distdir) && pwd`; \
531 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
532 (cd $$subdir && \ 524 (cd $$subdir && \
533 $(MAKE) $(AM_MAKEFLAGS) \ 525 $(MAKE) $(AM_MAKEFLAGS) \
534 top_distdir="$$top_distdir" \ 526 top_distdir="$(top_distdir)" \
535 distdir="$$distdir/$$subdir" \ 527 distdir=../$(distdir)/$$subdir \
536 distdir) \ 528 distdir) \
537 || exit 1; \ 529 || exit 1; \
538 fi; \ 530 fi; \
539 done 531 done
540check-am: all-am 532check-am: all-am
541check: check-recursive 533check: check-recursive
542all-am: Makefile $(LTLIBRARIES) 534all-am: Makefile $(LTLIBRARIES)
543installdirs: installdirs-recursive 535installdirs: installdirs-recursive
544installdirs-am: 536installdirs-am:
545 for dir in "$(DESTDIR)$(plugindir)"; do \ 537 $(mkinstalldirs) $(DESTDIR)$(plugindir)
546 test -z "$$dir" || $(mkdir_p) "$$dir"; \ 538
547 done
548install: install-recursive 539install: install-recursive
549install-exec: install-exec-recursive 540install-exec: install-exec-recursive
550install-data: install-data-recursive 541install-data: install-data-recursive
551uninstall: uninstall-recursive 542uninstall: uninstall-recursive
552 543
562mostlyclean-generic: 553mostlyclean-generic:
563 554
564clean-generic: 555clean-generic:
565 556
566distclean-generic: 557distclean-generic:
567 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) 558 -rm -f $(CONFIG_CLEAN_FILES)
568 559
569maintainer-clean-generic: 560maintainer-clean-generic:
570 @echo "This command is intended for maintainers to use" 561 @echo "This command is intended for maintainers to use"
571 @echo "it deletes files that may require special tools to rebuild." 562 @echo "it deletes files that may require special tools to rebuild."
572clean: clean-recursive 563clean: clean-recursive
582 573
583dvi: dvi-recursive 574dvi: dvi-recursive
584 575
585dvi-am: 576dvi-am:
586 577
587html: html-recursive
588
589info: info-recursive 578info: info-recursive
590 579
591info-am: 580info-am:
592 581
593install-data-am: install-pluginLTLIBRARIES 582install-data-am: install-pluginLTLIBRARIES
620 609
621uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES 610uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES
622 611
623uninstall-info: uninstall-info-recursive 612uninstall-info: uninstall-info-recursive
624 613
625.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \ 614.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
626 clean clean-generic clean-libtool clean-pluginLTLIBRARIES \ 615 clean-generic clean-libtool clean-pluginLTLIBRARIES \
627 clean-recursive ctags ctags-recursive distclean \ 616 clean-recursive ctags ctags-recursive distclean \
628 distclean-compile distclean-generic distclean-libtool \ 617 distclean-compile distclean-generic distclean-libtool \
629 distclean-recursive distclean-tags distdir dvi dvi-am html \ 618 distclean-recursive distclean-tags distdir dvi dvi-am \
630 html-am info info-am install install-am install-data \ 619 dvi-recursive info info-am info-recursive install install-am \
631 install-data-am install-exec install-exec-am install-info \ 620 install-data install-data-am install-data-recursive \
632 install-info-am install-man install-pluginLTLIBRARIES \ 621 install-exec install-exec-am install-exec-recursive \
633 install-strip installcheck installcheck-am installdirs \ 622 install-info install-info-am install-info-recursive install-man \
623 install-pluginLTLIBRARIES install-recursive install-strip \
624 installcheck installcheck-am installdirs installdirs-am \
634 installdirs-am maintainer-clean maintainer-clean-generic \ 625 installdirs-recursive maintainer-clean maintainer-clean-generic \
635 maintainer-clean-recursive mostlyclean mostlyclean-compile \ 626 maintainer-clean-recursive mostlyclean mostlyclean-compile \
636 mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \ 627 mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
637 pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \ 628 pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
629 tags-recursive uninstall uninstall-am uninstall-info-am \
638 uninstall-info-am uninstall-pluginLTLIBRARIES 630 uninstall-info-recursive uninstall-pluginLTLIBRARIES \
631 uninstall-recursive
639 632
640 633
641proto: 634proto:
642 cproto -D__CEXTRACT__ -o include/cfanim_proto.h $(CPPFLAGS) $(AM_CPPFLAGS) \ 635 cproto -D__CEXTRACT__ -o include/cfanim_proto.h $(CPPFLAGS) $(AM_CPPFLAGS) \
643 `echo $(SOURCES) " " | $(AWK) -v RS=" " '/.c$$/ { print }'` 636 `echo $(SOURCES) " " | $(AWK) -v RS=" " '/.c$$/ { print }'`

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines